> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/api-docs/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

# 55. Upload zip files (over 6 MB)

As a technical limitation of the AWS cloud provider, uploading files larger than 6 MB has to be done in 2 steps:

#### **1. Request the pre-signed link for further direct upload.**  <a href="#step1" id="step1"></a>

As input:&#x20;

* `fileType` - `yield` OR `soil` OR `applied` OR `adapt` OR `boundary`,&#x20;
* `farmUuid` (optional) - uuid of the farm to import the file.&#x20;

As output:

* `uuid` - the expected uuid after the upload and processing,
* `farmUuid` - the same as input,
* `fileType` - the same as input,
* `s3Url` - the URL used to upload the file,
* `s3Fields` - attributes to pass in the upload file form.

The details of how to use `s3Url` and `s3Fields` are described in the second step.&#x20;

The attributes are valid for only 60 mins to upload the file.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. Send a local file to s3Url with predefined form attributes from s3Fields.**  <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Notifications about the processing will be delivered via the subscription mechanism described in\
&#x20;[1. Subscription: Get events](/geopard-tutorials/api-docs/geopard-api-requests-overview/1.-subscription-get-events.md).

{% hint style="info" %}
The response header includes a `Etag` header, which appears as for example `Etag: "6fd3e76992738357ab50039f2c60024e"`. This value is subsequently used in GraphQL [query getPlatformContext](/geopard-tutorials/api-docs/geopard-api-requests-overview/83.-query-collect-platform-context.md) to monitor the processing progress, as well as the association with "Field", "AsAppliedDataset", "YieldDataset", and "SoilDataset" entities.
{% endhint %}

{% hint style="info" %}
Use `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/api-docs/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
